Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(96)

Issue 404663002: NaCl: Update revision in DEPS, r13456 -> r13506 (Closed)

Created:
5 years, 2 months ago by Mark Seaborn
Modified:
5 years, 1 month ago
Reviewers:
Derek Schuff
CC:
chromium-reviews, David Yen, earthdok, hamaji, hidehiko, JF, jvoung (off chromium), jvoung - send to chromium..., native-client-reviews_googlegroups.com, Nick Bray (chromium), noelallen_use_chromium, sehr, sky, teravest
Visibility:
Public.

Description

NaCl: Update revision in DEPS, r13456 -> r13506 This pulls in the following Native Client changes: r13457: (dyen) LLVM Regression tests check for build files instead of empty dirs. r13458: (noelallen) Update and add GN files to build sel_ldr. r13459: (jvoung) Remove env cleanser references to obsolete env vars. r13460: (jfb) PNaCl: Update LLVM revision in pnacl/COMPONENT_REVISIONS r13461: (hamaji) Non-SFI Mode: Add prctl syscall wrapper r13462: (hamaji) Non-SFI Mode: Implement IRT fstat r13463: (hamaji) Correct the return type of TestSuite in timefuncs_test r13464: (hamaji) syscall_test: Do not test st_atime in the test for fstat r13465: (earthdok) Implement initial MSan support. Also, adjust ASan build flags. r13466: (dschuff) pnacl-ld: Do not attempt to parse ELF or bitcode files as linker scripts r13467: (jvoung) Remove NaClSrpcIsStandalone() function. r13468: (dschuff) Make testing architecture explicit PNaCl toolchain buildbot script r13469: (dschuff) Stub out pnacl-opt and pnacl-finalize tools for scons built_elsewhere=1 r13470: (dschuff) Update revision for PNaCl r13392->r13466 r13471: (noelallen) Build nacl_bootstrap_helper and test with GN scons r13472: (dschuff) Build PNaCl with mingw again r13473: (earthdok) Zap the NaClSignalContext struct in SignalCatch. r13474: (dschuff) Update revision for PNaCl r13466->r13472 r13475: (sehr) Munge nacl_helper_bootstrap using python rather than libelf r13476: (sky) Changes scan_sources not to output on bogus directory r13477: (dschuff) Reduce debugging metadata for pexe builds in Chrome r13480: (jfb) PNaCl: Update LLVM revision in pnacl/COMPONENT_REVISIONS r13481: (hidehiko) Align at 16 bytes for stack for created thread. r13484: (jfb) Revert "Munge nacl_helper_bootstrap using python rather than libelf" r13485: (ncbray) Fix untrusted.gypi and build_nexe.py r13486: (teravest) Split nacl_defines to an importable .gni file. r13487: (dyen) Actually make package_version include logs when argument is set. r13488: (jfb) Update revision for PNaCl r13472->r13480 r13489: (hidehiko) Wrap irt_interfaces.h by extern "C". r13490: (hidehiko) Non-SFI Mode: Implement irt_mprotect. r13493: (jvoung) Revert "Non-SFI Mode: Implement irt_mprotect." r13494: (noelallen) Add per-file OWNERS for .gn in this sub directory since per-file only works on the directory the OWNERS is in. r13495: (noelallen) Fix vc_toolchain.py paths. r13496: (noelallen) Revert of 7e955d3ab6159dc05a7f255c6daf03847809414a r13497: (dyen) Implemented Exists for pynacl.LocalStorageCache. r13500: (hidehiko) Non-SFI Mode: Make elf_loader usable from Chrome. r13503: (jvoung) PNaCl: Update compiler-rt revision in pnacl/COMPONENT_REVISIONS r13504: (sehr) Munge nacl_helper_bootstrap using python rather than libelf r13505: (dschuff) Roll PNaCl toolchain revision back to r13466 r13506: (dschuff) Revert "Fix untrusted.gypi and build_nexe.py" BUG=none TEST=browser_tests and nacl_integration CQ_EXTRA_TRYBOTS=tryserver.chromium:linux_nacl_sdk_build (omitting linux_rel_precise32 and linux_arm_cross_compile because they're currently broken) Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=284531

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M DEPS View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 15 (0 generated)
Mark Seaborn
5 years, 2 months ago (2014-07-17 23:03:29 UTC) #1
Derek Schuff
On 2014/07/17 23:03:29, Mark Seaborn wrote: LGTM
5 years, 2 months ago (2014-07-17 23:05:17 UTC) #2
Mark Seaborn
The CQ bit was checked by mseaborn@chromium.org
5 years, 2 months ago (2014-07-17 23:26:33 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mseaborn@chromium.org/404663002/1
5 years, 2 months ago (2014-07-17 23:30:25 UTC) #4
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: linux_rel_precise32 on tryserver.chromium ...
5 years, 2 months ago (2014-07-18 04:07:46 UTC) #5
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 2 months ago (2014-07-18 05:56:01 UTC) #6
commit-bot: I haz the power
Try jobs failed on following builders: linux_rel_precise32 on tryserver.chromium (http://build.chromium.org/p/tryserver.chromium/builders/linux_rel_precise32/builds/739)
5 years, 2 months ago (2014-07-18 05:56:02 UTC) #7
Mark Seaborn
The CQ bit was checked by mseaborn@chromium.org
5 years, 1 month ago (2014-07-21 01:25:35 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mseaborn@chromium.org/404663002/1
5 years, 1 month ago (2014-07-21 01:26:53 UTC) #9
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: linux_rel_precise32 on tryserver.chromium ...
5 years, 1 month ago (2014-07-21 05:11:17 UTC) #10
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 1 month ago (2014-07-21 06:47:40 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_rel_precise32 on tryserver.chromium (http://build.chromium.org/p/tryserver.chromium/builders/linux_rel_precise32/builds/742)
5 years, 1 month ago (2014-07-21 06:47:41 UTC) #12
Mark Seaborn
The CQ bit was checked by mseaborn@chromium.org
5 years, 1 month ago (2014-07-21 22:55:07 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mseaborn@chromium.org/404663002/1
5 years, 1 month ago (2014-07-21 22:56:42 UTC) #14
commit-bot: I haz the power
5 years, 1 month ago (2014-07-21 23:09:35 UTC) #15
Message was sent while issue was closed.
Change committed as 284531

Powered by Google App Engine
This is Rietveld 408576698